; "$" is the prefix to designate a number that is in hex mode
#include "ti86asm.inc" ;contains the files that tell the assmebler 
	;what to change the characters into

.org _asm_exec_ram ;don't know what it is for, just that you need to have it

	nop ;spends 4 clock cycles doing absolutly nothing
	jr ProgStart ;goes to the label ProgStart
	.dw 0	;also don't know what it is for, just that you need it
	.dw ShellTitle ;contains the title that you see when you run it from a 
	;shell (ie ASE)


ProgStart:
	call _clrScrn ;clears the screen, including the text shadow
	call _runindicoff ;turns the run indicator off
	ld hl,$0000	;loads 0000 into hl ($00 into h and $00 into l)
	ld (_penCol),hl	;loads hl into _penCol and _penRow, (h into _penRow, and
	;l into _penCol
	ld a,196 ;loads 196 into a
	call _vputmap ;puts the character that has ascii # of 196 (the pi 
	;character) onto the screen at _penRow, _penCol in small font
	ld a,6 ;loads 6 into a
	ld (_penCol),a ;loads a(6) into _penCol
	ld hl,pi ;points hl to the string pi
	call _vputs ;and puts the contents of pi out in small font at _penRow(0) 
	; and _penCol (6)
	ld bc,$0600 ;loads $06 into b and $00 into c, I use bc because hl points
	;to pi2 (it automatically scrolls down)
	ld (_penCol),bc ;loads bc into _penRow and _penCol,(6 into row and 0 
	;into col
	call _vputs ;puts the contents of pi2 out in small font at _penRow(6) 
	;and _penCol(0)
	ld bc,$0C00 ;loads $0C (12 in decimal) into h, and 00 into l
	ld (_penCol),bc ;loads h($0C/12) into _penRow, and l(0) into _penCol
	call _vputs ;puts the contents of pi3 out on the screen at _penRow(12)
	;and _penCol(0)
	ld bc,18*256+0 ;a little trick, loads 18 into b and 0 into c (this is a
	;little trick, thanks to Adnreas Finne)
	ld (_penCol),bc ;puts bc into _penCol (18 into row, and 0 into col)
	call _vputs ;puts pi4 out onto the screen
	ld bc,24*256+0 ;loads 24 into b and 0 into c
	ld (_penCol),bc ;loads b(24)into row, and c(0) into col
	call _vputs ;puts the contents of pi5 out on the screen
	call _pause ;pauses the program until you push enter
	ret ;and quits
pi:
	.db "=3.141592653589793238462643383",0 ;must be followed with a zero, or 
	;else funny stuff may come on the screen
pi2:
	.db "2795028841971693993751058209749",0
pi3:
	.db "4459230781640628620899862803482",0
pi4:
	.db "5342117067982148086513282306647",0
pi5:
	.db "5940812848111745028410270100938",0
ShellTitle:	
	.db "152 Digits of PI!",0

.end
